## nkf 2.1.4

=== debian/changelog ===
nkf (1:2.1.4-1ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:50 +0000

nkf (1:2.1.4-1ubuntu1) zesty; urgency=medium

  * Rebuild app with -fPIC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 20 Mar 2017 11:02:11 +0530

nkf (1:2.1.4-1) unstable; urgency=medium

  [ Hideki Yamane ]
  * Non-maintainer upload.
  * add debian/watch 
  * debian/patches
    - drop add-ldflags: merged upstream
    - drop nkf.1j-fix-broken-code.patch: merged upstream
    - add 0001-add-DESTDIR-for-install.patch
    - add 0002-add-prefix-to-perl-install.patch
    - add 0003-manpages-should-be-in-usr-share-man.patch
    - add 0004-fix-typo-in-nkf.1.patch
  * debian/compat
    - set 10 to deal with "package-uses-deprecated-debhelper-compat-version 7"
      lintian warning
  * debian/control
    - set Build-Depends: debhelper (>= 10)
    - add Homepage: field
    - add Vcs-* field
    - set Standards-Version: 3.9.8
  * debian/rules
    - split installation to .install and .manpages files
    - use modern compiler hardeing flags
  * add debian/nkf.install and debian/nkf.manpages
  * remove debian/dirs and debian/libnkf-perl.files
  * rename docs to nkf.docs
  * remove unused debian/nkf.1jeuc and debian/nkf1.7+cap1.patch

  [ NOKUBI Takatsugu ]
  * debian/copyright: DEP5 reformatted

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 30 Nov 2016 06:35:40 +0000

nkf (2.13-4) unstable; urgency=low

  * Fix CFLAGS value handling closes: #759766,
    Thank you Nobuhiro Ban and Niko Tyni.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 01 Sep 2014 15:37:25 +0900

nkf (2.13-3) unstable; urgency=medium

  * Use buildflags.mk, closes: #753139.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 30 Jun 2014 08:44:09 +0000

nkf (2.13-2) unstable; urgency=low

  * Changed debian/rules format to dh7.
  * Import nkf.1j from git c778b37, closes: #752736.
    http://sourceforge.jp/ticket/browse.php?group_id=248&tid=32546

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 30 Jun 2014 08:43:56 +0000

nkf (2.13-1) unstable; urgency=low

  * New upstream.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 26 Nov 2013 15:53:35 +0900

nkf (2.11-2) unstable; urgency=low

  * Fixed perl package bug, closes: #627369.

 --  <knok@daionet.gr.jp>  Wed, 18 May 2011 06:13:19 +0000

nkf (2.11-1) unstable; urgency=low

  * New upstream release

 --  <knok@daionet.gr.jp>  Wed, 18 May 2011 05:57:06 +0000

nkf (2.07-2) unstable; urgency=low

  * Fixed manual bug, closes: #473916.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 14 May 2008 17:07:28 +0900

nkf (2.07-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  5 Jul 2006 01:32:45 +0000

nkf (2.06-1) unstable; urgency=low

  * New upstream version.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 28 Mar 2006 06:30:04 +0000

nkf (2.05-2) unstable; urgency=low

  * Fixed -g option with multiple files.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 27 Aug 2005 16:15:34 +0000

nkf (2.05-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 30 Jun 2005 17:28:10 +0900

nkf (2.04-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat,  3 Jan 2004 16:28:08 +0900

nkf (2.03-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu,  2 Oct 2003 15:22:51 +0900

nkf (2.02-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun,  3 Aug 2003 17:54:19 +0900

nkf (2.01-5) unstable; urgency=low

  * Changed to use ./debian/tmp/usr/bin/nkf instead nkf in debian/rule, closes: #177576.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 21 Jan 2003 17:34:51 +0900

nkf (2.01-4) unstable; urgency=low

  * Changed to install newer Japanese manpage, closes: #175536.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 15 Jan 2003 17:53:59 +0900

nkf (2.01-3) unstable; urgency=low

  * Updated copyright and README.debian, closes: #163192.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri,  4 Oct 2002 09:10:13 +0900

nkf (2.01-2) unstable; urgency=low

  * Applied a patch on sourceforge.jp.
  http://sourceforge.jp/tracker/download.php?group_id=248&atid=1031&file_id=112&aid=588

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue,  1 Oct 2002 15:22:49 +0900

nkf (2.01-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 27 Sep 2002 16:12:20 +0900

nkf (2.00-0.9beta1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 17 Sep 2002 11:23:50 +0900

nkf (1.92-8) unstable; urgency=low

  * Rebuild with perl 5.8.0.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 29 Aug 2002 17:44:06 +0900

nkf (1.92-7) unstable; urgency=low

  * Fixed some wrong description, closes: #146391.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 11 May 2002 10:56:56 +0900

nkf (1.92-6) unstable; urgency=low

  * Added Build-Depends line, Closes: 111768.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 10 Sep 2001 09:21:40 +0900

nkf (1.92-5) unstable; urgency=low

  * Added hankaku-kana space conversion patch:
  http://www.namazu.org/ml/namazu-users-ja/msg00025.html

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri,  7 Sep 2001 14:54:07 +0900

nkf (1.92-4) unstable; urgency=low

  * Changed the maintainer.
  
  * Rebuild with new perl policy, Closes: Bug#95422.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 22 May 2001 11:43:26 +0900

nkf (1.92-3) unstable; urgency=low

  * fix build problem (closes: Bug#90200)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 19 Mar 2001 15:36:35 +0900

nkf (1.92-2) unstable; urgency=low

  * Applied patch of Bug#62374. (closes: Bug#62374)
    Thanks! YAMASHITA Junji <ysjj@unixuser.org>.

 -- Takuo KITAME <kitame@northeye.org>  Wed, 10 May 2000 04:26:10 +0900

nkf (1.92-1) frozen unstable; urgency=low

  * New upstream release

