=== debian/control ===
Source: nkf
Section: text
Priority: optional
Build-Depends: debhelper (>= 10), perl (>= 5.6.0-16)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Standards-Version: 3.9.8
Homepage: https://osdn.net/projects/nkf/
Vcs-Git: https://anonscm.debian.org/git/collabmaint/nkf.git
Vcs-Browser: https://anonscm.debian.org/cgit/collabmaint/nfk.git

Package: nkf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Kanji code conversion Filter
 Nkf is yet another kanji code converter among networks,
 hosts and terminals. It converts input kanji code to designated
 kanji code such as 7-bit JIS, MS-kanji (Shifted-JIS) or EUC.

Package: libnkf-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Network Kanji code conversion Filter for Perl
 libnkf-perl will let you use the nkf (Network Kanji code conversion
 filter) as NKF.pm from Perl programs.
