=== debian/watch ===
version=4

opts="user-agent=Wget/1.12 (linux-gnu)" \
https://ja.osdn.net/projects/@PACKAGE@/releases/ \
 /projects/@PACKAGE@/downloads/\d*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@/ debian uupdate
