## nkf 2.1.5

=== debian/changelog ===
nkf (1:2.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ NOKUBI Takatsugu ]
  * d/watch: fix mangling

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Homepage moved to Github
  * d/watch:
     - Version=5
     - Point to Github
  * Build-Depends: perl-xs-dev
    Closes: #1102815
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Use default build flags
    Closes: #1119503
  * Fix clean target
    Closes: #1047193
  * Verify that nostrip is working
    Closes: #437638
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Fri, 14 Nov 2025 08:28:31 +0100

nkf (1:2.1.5-1) unstable; urgency=medium

  [ NOKUBI Takatsugu ]
  * d/watche: parse from the rss, ignore older version
  * new upstream release
  * work nocheck in DEB_BUILD_OPTIONS
  * d/control:
    - set Standards-Version: 4.3.0

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 08 Jan 2019 17:38:36 +0900

nkf (1:2.1.4-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Mark nkf Multi-Arch: foreign, closes: #899276.

  [ NOKUBI Takatsugu ]
  * Apply Helmut Grone's patch

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 24 May 2018 14:54:25 +0900
