=== debian/control ===
Source: nkf
Standards-Version: 4.7.2
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 perl,
 perl-xs-dev,
Vcs-Browser: https://salsa.debian.org/debian/nkf
Vcs-Git: https://salsa.debian.org/debian/nkf.git
Homepage: https://github.com/nurse/nkf/

Package: nkf
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Network Kanji code conversion Filter
 Nkf is yet another kanji code converter among networks,
 hosts and terminals. It converts input kanji code to designated
 kanji code such as 7-bit JIS, MS-kanji (Shifted-JIS) or EUC.

Package: libnkf-perl
Architecture: any
Section: perl
Depends:
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Network Kanji code conversion Filter for Perl
 libnkf-perl will let you use the nkf (Network Kanji code conversion
 filter) as NKF.pm from Perl programs.
