=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	make nkf
	make perl

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C NKF.mod test
endif

override_dh_auto_install:
	dh_auto_install
	make -C NKF.mod install DESTDIR=$(CURDIR)/debian/libnkf-perl/
	# build UTF-8 nkf.1j manpage
	$(CURDIR)/debian/tmp/usr/bin/nkf -e $(CURDIR)/nkf.1j > $(CURDIR)/nkf.ja.1
