=== debian/watch ===
Version: 5

Source: https://github.com/nurse/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d._]+)@ARCHIVE_EXT@
Uversion-Mangle: s/_/./g
