## nkf 2.07

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # SHAR = shar -T
 PERL = perl
 RM = rm -rf
-VERSION = 204
+VERSION = 207
 
 nkf : nkf.c config.h utf8tbl.o
 	$(CC) $(CFLAGS) -o nkf nkf.c utf8tbl.o
@@ -15,7 +15,8 @@
 
 clean:
 	-$(RM) nkf.o nkf nkf.in nkf.out nkf$(VERSION) *~ *.bad utf8tbl.o
-	cd NKF.mod; make clean
+	cd NKF.mod; if [ -f Makefile ]; then make clean; fi
+
 test:	nkf
 	$(PERL) test.pl
