## nkf 2.12

=== debian/changelog ===
nkf (2.12-1) unstable; urgency=low

  * New upstream release
  * Change debhelper version 5 to 8.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 29 Jun 2012 13:20:56 +0900
