## nkf 2.13

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,11 @@
 # SHAR = shar -T
 PERL = perl
 RM = rm -rf
-VERSION = 2.1.1
+VERSION = 2.1.3
 MKDIR = mkdir
 prefix = /usr/local
+PYTHON2 = python
+PYTHON3 = python
 
 .PHONY: clean install test tar shar
 
@@ -32,6 +34,14 @@
 	$(PERL) Makefile.PL  ; \
 	make ; \
 	make test )
+
+python2:
+	( cd NKF.python2 ; \
+	$(PYTHON2) setup.py build )
+
+python3:
+	( cd NKF.python3 ; \
+	$(PYTHON3) setup.py build )
 
 install:
 	-$(MKDIR) $(prefix)/bin
@@ -62,7 +72,7 @@
 	-mkdir nkf-$(VERSION)/NKF.mod
 	for file in  `cat MANIFEST`;  \
 	do  \
-	    nkf -j -m0 $$file > nkf-$(VERSION)/$$file ; \
+	    cp $$file nkf-$(VERSION)/$$file ; \
 	done 
 	tar cf nkf-$(VERSION).tar nkf-$(VERSION)
 	-$(RM) nkf-$(VERSION)
